--------------- Begin Copyright - Do not add comments here --------------
--
-- Licensed Materials - Property of IBM
--
-- Restricted Materials of IBM
--
-- Virtual Member Manager
--
-- (C) Copyright IBM Corp. 2005
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
----------------------------- End Copyright -----------------------------
CREATE TABLESPACE @TSPREFIX@TS001 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;
	
CREATE TABLE @dbschema.@DBENTITY (
	ENTITY_ID		DECIMAL(19) NOT NULL,
	ENTITY_TYPE		VARCHAR(36) NOT NULL,
	UNIQUE_ID		CHAR(36) NOT NULL,
	UNIQUE_NAME		VARCHAR(1000) NOT NULL,
	UNIQUE_NAME_KEY		VARCHAR(236) NOT NULL,
	CONSTRAINT PK001 PRIMARY KEY (ENTITY_ID)
)IN @DbName@.@TSPREFIX@TS001;

CREATE UNIQUE INDEX @dbschema.@IXWIM010PK ON @dbschema.@DBENTITY (ENTITY_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBENTITY
	TO PUBLIC AT ALL LOCATIONS;
	


CREATE TABLESPACE @TSPREFIX@TS002 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;


CREATE TABLE @dbschema.@DBPROPTYPE (
	TYPE_ID			CHAR(16) NOT NULL,
	DESCRIPTION		VARCHAR(254),
	CONSTRAINT PK002 PRIMARY KEY (TYPE_ID)
)IN @DbName@.@TSPREFIX@TS002;

CREATE UNIQUE INDEX @dbschema.@IXWIM020PK ON @dbschema.@DBPROPTYPE (TYPE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBPROPTYPE
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS003 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBPROP (
	PROP_ID			INTEGER NOT NULL,
	NAME			VARCHAR(200) NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	META_NAME		VARCHAR(36) DEFAULT 'DEFAULT' NOT NULL,
	IS_COMPOSITE		INTEGER DEFAULT 0, 
	VALUE_LENGTH		INTEGER,
	READ_ONLY		INTEGER DEFAULT 0, 
	MULTI_VALUED		INTEGER DEFAULT 1, 
	CASE_EXACT_MATCH	INTEGER DEFAULT 1, 
	CLASSNAME		VARCHAR(512),
	DESCRIPTION		VARCHAR(512),
	APPLICATION_ID		VARCHAR(254) DEFAULT 'com.ibm.websphere.wim' NOT NULL,
	CONSTRAINT pk003 PRIMARY KEY (PROP_ID)
)IN @DbName@.@TSPREFIX@TS003;

CREATE UNIQUE INDEX @dbschema.@IXWIM030PK ON @dbschema.@DBPROP (PROP_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS004 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBPROPENT (
	PROP_ID			INTEGER	NOT NULL,
	APPLICABLE_ENTTYPE	VARCHAR(36) NOT NULL,
	REQUIRED_ENTTYPE	INTEGER DEFAULT 0 NOT NULL,
	CONSTRAINT PK004 PRIMARY KEY (PROP_ID, APPLICABLE_ENTTYPE)
)IN @DbName@.@TSPREFIX@TS004;

CREATE UNIQUE INDEX @dbschema.@IXWIM040PK ON @dbschema.@DBPROPENT (PROP_ID, APPLICABLE_ENTTYPE);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBPROPENT
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS005 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBLONGPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		DECIMAL(19),
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK005 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS005;

CREATE UNIQUE INDEX @dbschema.@IXWIM050PK ON @dbschema.@DBLONGPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBLONGPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS006 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBBLOBPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		BLOB(10000000),
	RID ROWID NOT NULL GENERATED ALWAYS,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK006 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS006;
	
CREATE UNIQUE INDEX @dbschema.@IXWIM060PK ON @dbschema.@DBBLOBPROP (VALUE_ID);
	
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBBLOBPROP
	TO PUBLIC AT ALL LOCATIONS;
	

	
CREATE LOB TABLESPACE @TSPREFIX@TS106 IN @DbName@
	BUFFERPOOL @LOB_TABLE@;
	
CREATE AUX TABLE @dbschema.@DBBLOB
IN @DbName@.@TSPREFIX@TS106 
STORES @dbschema.@DBBLOBPROP COLUMN PROPVALUE;
	
CREATE UNIQUE INDEX @dbschema.@IXWIM061PK ON @dbschema.@DBBLOB
	BUFFERPOOL @INDEX_TABLE@;
		

	
CREATE TABLESPACE @TSPREFIX@TS007 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBDBLPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		DOUBLE,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK007 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS007;

CREATE UNIQUE INDEX @dbschema.@IXWIM070PK ON @dbschema.@DBDBLPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBDBLPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS008 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;	

CREATE TABLE @dbschema.@DBINTPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		INTEGER,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK008 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS008;
	
CREATE UNIQUE INDEX @dbschema.@IXWIM080PK ON @dbschema.@DBINTPROP (VALUE_ID);
	
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBINTPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS009 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBREFPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	REF_UNAME_KEY		VARCHAR(236) NOT NULL,
	REF_UNAME		VARCHAR(1000) NOT NULL,
	REF_EXT_ID		VARCHAR(200) NOT NULL,
	REF_FULL_EXT_ID		VARCHAR(1000) NOT NULL,
	REF_REPOS_ID		CHAR(36) NOT NULL,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK009 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS009;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM090PK ON @dbschema.@DBREFPROP (VALUE_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBREFPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS010 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBSTRPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		VARCHAR(1500),
	VALUE_KEY		VARCHAR(1500),
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK010 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS010;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM100PK ON @dbschema.@DBSTRPROP (VALUE_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBSTRPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS011 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBTSPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		TIMESTAMP,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK011 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS011;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM110PK ON @dbschema.@DBTSPROP (VALUE_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBTSPROP
	TO PUBLIC AT ALL LOCATIONS;
	


CREATE TABLESPACE @TSPREFIX@TS012 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBCOMPREL (
	COMPOSITE_ID		INTEGER NOT NULL,
	COMPONENT_ID		INTEGER NOT NULL,
	IS_REQUIRED		INTEGER DEFAULT 0 NOT NULL,
	IS_KEY			INTEGER DEFAULT 0 NOT NULL,
	CONSTRAINT PK012 PRIMARY KEY (COMPOSITE_ID, COMPONENT_ID)
)IN @DbName@.@TSPREFIX@TS012;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM120PK ON @dbschema.@DBCOMPREL (COMPOSITE_ID, COMPONENT_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBCOMPREL
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS013 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;


CREATE TABLE @dbschema.@DBCOMPPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE_ID		DECIMAL(19),
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK013 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS013;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM130PK ON @dbschema.@DBCOMPPROP (VALUE_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBCOMPPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS014 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;
	
CREATE TABLE @dbschema.@DBENTREL (
	DESCENDANT_ID		DECIMAL(19) NOT NULL,
	ANCESTOR_ID		DECIMAL(19) NOT NULL,
	CONSTRAINT PK014 PRIMARY KEY (DESCENDANT_ID, ANCESTOR_ID)
)IN @DbName@.@TSPREFIX@TS014;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM140PK ON @dbschema.@DBENTREL (DESCENDANT_ID, ANCESTOR_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBENTREL
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS015 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBKEYS (
	KEYS_ID			INTEGER NOT NULL,
	TABLENAME		VARCHAR(256) NOT NULL,
	COLUMNNAME		VARCHAR(18) NOT NULL,
	COUNTER			DECIMAL(19) NOT NULL,
	PREFETCH_SIZE		DECIMAL(19) DEFAULT 20, 
	LOWER_BOUND		DECIMAL(19) DEFAULT 0, 
	UPPER_BOUND		DECIMAL(19) DEFAULT 2147483648, 
	CONSTRAINT PK015 PRIMARY KEY (KEYS_ID)
)IN @DbName@.@TSPREFIX@TS015;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM150PK ON @dbschema.@DBKEYS (KEYS_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBKEYS
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS016 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBGRPREL (
	GRP_ID			DECIMAL(19) NOT NULL,
	REPOS_ID		CHAR(36) NOT NULL,
	EXT_ID			VARCHAR(200) NOT NULL,
	FULL_EXT_ID		VARCHAR(1000) NOT NULL,
	CONSTRAINT PK016 PRIMARY KEY (GRP_ID, REPOS_ID, EXT_ID)
)IN @DbName@.@TSPREFIX@TS016;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM160PK ON @dbschema.@DBGRPREL (GRP_ID, REPOS_ID, EXT_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBGRPREL
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS017 IN @DbName@
	BUFFERPOOL @DEFAULT_TABLE@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15;

CREATE TABLE @dbschema.@DBACCT (
	ENTITY_ID		DECIMAL(19) NOT NULL, 
	PASSWORD		CHAR(128) FOR BIT DATA,
	SALT			VARCHAR(254),
	EXT_ID			VARCHAR(200),
	FULL_EXT_ID		VARCHAR(1000),
	REPOS_ID		CHAR(36),
	CONSTRAINT PK017 PRIMARY KEY (ENTITY_ID)
)IN @DbName@.@TSPREFIX@TS017;
		
CREATE UNIQUE INDEX @dbschema.@IXWIM170PK ON @dbschema.@DBACCT (ENTITY_ID);
		
GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@DBACCT
	TO PUBLIC AT ALL LOCATIONS;



